GTOP(1)

NAME
gtop - convert a profile in GCG format into PROSITE format

SYNOPSIS
gtop [ -as ] [ gcg-profile ] [G=#] [E=#] [F=#] [O=#]

DESCRIPTION
gtop converts a profile generated by the GCG program ProfileMake , or by a GCG-compatible profile construction program, into PROSITE format, and optionally rescales the profile. The result is written to the standard output. On input, gtop divides all weights of the profile by 100, as GCG programs do. On output, profile scores are multiplied by the rescaling factor F and rounded to the nearest integer. If symmetric gap weighting mode is chosen, the gap opening weights are divided by 2 and assigned to the MI, MD, IM, and DM transition scores. If asymmetric gap weighting mode is chosen, the gap opening weights are left unchanged and assigned to the MI and MD transition scores only. If no argument is specified, the program attempts to read the GCG-formatted profile from the standard input.

OPTIONS

-a  Apply asymmetric gap weighting mode.

-s  Apply symmetric gap weighting mode (default).

PARAMETERS

G=# Gap opening penalty. Default: G=4.5.

E=# Gap extension penalty. Default: E=0.05.

F=# Rescaling factor. Default: F=100.

O=# Output score offset. This value is added to all profile match scores after multiplication by the rescaling factor F. Default: O=0.

EXAMPLES

(1) gtop sh3.gpr G=1.0 E=1.0 F=50 | pfsearch -far - sh3.seq | sort -nr

    First converts the GCG-formatted profile in sh3.gpr into PROSITE format, then searches the protein library sh3.seq with the reformatted profile to generate a sorted list of optimal alignment scores. The option -r causes alignment scores to be expressed in raw score units. sh3.seq contains 20 SH3 domain-containing protein sequences from SWISS-PROT release 32.

    See also manual pages of pfsearch and UNIX command sort.

BUGS
gtop defines SCORE=0; N_SCORE=0; for the mandatory cut-off level zero. These parameters should be changed to more reasonable values using a text editor, prior to profile search operations.

AUTHOR
Philipp Bucher
Philipp.Bucher@isrec.unil.ch